[23586] in Source-Commits

home help back first fref pref prev next nref lref last post

/svn/athena r23228 - trunk/debathena/debathena/libpam-athena-locker/debian

daemon@ATHENA.MIT.EDU (price@MIT.EDU)
Sat Nov 1 05:09:34 2008

Date: Sat, 1 Nov 2008 04:47:57 -0400 (EDT)
From: price@MIT.EDU
Message-Id: <200811010847.EAA20069@drugstore.mit.edu>
To: source-commits@MIT.EDU
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Author: price
Date: 2008-11-01 04:47:56 -0400 (Sat, 01 Nov 2008)
New Revision: 23228

Added:
   trunk/debathena/debathena/libpam-athena-locker/debian/libpam-athena-locker.pam-config
   trunk/debathena/debathena/libpam-athena-locker/debian/libpam-athena-locker.postinst
   trunk/debathena/debathena/libpam-athena-locker/debian/libpam-athena-locker.prerm
Modified:
   trunk/debathena/debathena/libpam-athena-locker/debian/changelog
   trunk/debathena/debathena/libpam-athena-locker/debian/rules
Log:
libpam-athena-locker: self-enable with pam-auth-update where available

Modified: trunk/debathena/debathena/libpam-athena-locker/debian/changelog
===================================================================
--- trunk/debathena/debathena/libpam-athena-locker/debian/changelog	2008-11-01 08:47:54 UTC (rev 23227)
+++ trunk/debathena/debathena/libpam-athena-locker/debian/changelog	2008-11-01 08:47:56 UTC (rev 23228)
@@ -1,3 +1,9 @@
+libpam-athena-locker (2.1-0debathena3) unstable; urgency=low
+
+  * Self-enable with pam-auth-update where available.
+
+ -- Greg Price <price@mit.edu>  Sat,  1 Nov 2008 02:23:19 -0400
+
 libpam-athena-locker (2.1-0debathena2) unstable; urgency=low
 
   * Set maintainer to debathena@mit.edu.

Added: trunk/debathena/debathena/libpam-athena-locker/debian/libpam-athena-locker.pam-config
===================================================================
--- trunk/debathena/debathena/libpam-athena-locker/debian/libpam-athena-locker.pam-config	2008-11-01 08:47:54 UTC (rev 23227)
+++ trunk/debathena/debathena/libpam-athena-locker/debian/libpam-athena-locker.pam-config	2008-11-01 08:47:56 UTC (rev 23228)
@@ -0,0 +1,6 @@
+Name: Attach Athena locker at login
+Default: yes
+Priority: 19
+Session-Type: Additional
+Session:
+	optional	pam_athena_locker.so

Added: trunk/debathena/debathena/libpam-athena-locker/debian/libpam-athena-locker.postinst
===================================================================
--- trunk/debathena/debathena/libpam-athena-locker/debian/libpam-athena-locker.postinst	2008-11-01 08:47:54 UTC (rev 23227)
+++ trunk/debathena/debathena/libpam-athena-locker/debian/libpam-athena-locker.postinst	2008-11-01 08:47:56 UTC (rev 23228)
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -e
+
+if hash pam-auth-update 2>/dev/null; then
+  pam-auth-update --package
+fi
+
+#DEBHELPER#

Added: trunk/debathena/debathena/libpam-athena-locker/debian/libpam-athena-locker.prerm
===================================================================
--- trunk/debathena/debathena/libpam-athena-locker/debian/libpam-athena-locker.prerm	2008-11-01 08:47:54 UTC (rev 23227)
+++ trunk/debathena/debathena/libpam-athena-locker/debian/libpam-athena-locker.prerm	2008-11-01 08:47:56 UTC (rev 23228)
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -e
+
+if hash pam-auth-update 2>/dev/null; then
+  pam-auth-update --package --remove athena-locker
+fi
+
+#DEBHELPER#

Modified: trunk/debathena/debathena/libpam-athena-locker/debian/rules
===================================================================
--- trunk/debathena/debathena/libpam-athena-locker/debian/rules	2008-11-01 08:47:54 UTC (rev 23227)
+++ trunk/debathena/debathena/libpam-athena-locker/debian/rules	2008-11-01 08:47:56 UTC (rev 23228)
@@ -5,3 +5,7 @@
 include /usr/share/cdbs/1/class/makefile.mk
 
 DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(DEB_DESTDIR)
+
+install/libpam-athena-locker::
+	install -D -m 644 debian/libpam-athena-locker.pam-config \
+	  $(DEB_DESTDIR)/usr/share/pam-configs/athena-locker


home help back first fref pref prev next nref lref last post